Subject: Re: [PATCH] powerpc/85xx: don't call of_platform_bus_probe() twice

From: Grant Likely <[email-masked]>
Date: Tue, 27 Mar 2012 23:01:55 -0600

On Tue, 27 Mar 2012 13:18:10 -0500, Timur Tabi <[email-masked]> wrote:
> Grant, do you have a moment to consider my question?  Like I said, I'm
> anxious to get a fix into 3.3.

I've been out of town for the past week, so email processing volume
has been low.  Answer below.

> Timur Tabi wrote:
> > Timur Tabi wrote:
> >> They only problem I see with this is that I am thinking about modifying
> >> the drivers/dma driver to probe on "fsl,eloplus-dma-channel" channels
> >> directly.  If I do that, then who should call of_platform_populate()?
> > 
> > Grant, could you tell me if there's anything actually work with my patch?
> >  All I'm doing is adding a couple more commonly used entries to
> > mpc85xx_common_ids[].  After all, they're common IDs, so don't they belong
> > into an array called common_ids?

That's between you and Kumar.  I don't have any problem with it since
it's all contained within the mpc85xx code.

If those nodes really do make sense to represent as independent
platform devices, then adding them to the match list for bus types
isn't a problem.

g.